// file: $isip/doc/examples/class/sp/sp_example_00/example.cc
// version: $Id: example.cc 6935 2001-05-05 18:11:22Z peng $
//

// isip include files
//
#include <AudioFrontEnd.h>

// main program starts here
//
int main(int argc, const char** argv) {

  // declare local variables
  //
  AudioFrontEnd reg_fe;
  Filename reg_file(L"$ISIP_DEVEL/doc/examples/data/audio/little_endian.raw");

  // setup the front end
  //
  Sof sof;
  sof.open(L"diagnose_filter.sof");
  reg_fe.read(sof, 0);
  sof.close();

  // perform data processing through the front end
  //
  Filename input(reg_file);
  Filename output(L".new_audio0.raw");
  Console::put(L"running file 0");
  reg_fe.setDebug(Integral::BRIEF);
  reg_fe.run(output, input);

  // exit gracefully
  //
  Integral::exit();
}
